Loading...
Searching...
No Matches
Magick::cdlImage Class Reference

## Public Member Functions

| cdlImage (const std::string &cdl_)
void | operator() (Image &image_) const

## Private Attributes

std::string | _cdl

## Detailed Description

Definition at line 205 of file STL.h.

## Constructor & Destructor Documentation

## cdlImage()

Magick::cdlImage::cdlImage | ( | const std::string & | cdl_ | ) |

Definition at line 170 of file STL.cpp.

: _cdl ( cdl_ )
{
}

## Member Function Documentation

## operator()()

void Magick::cdlImage::operator() | ( | Image & | image_ | ) | const

Definition at line 174 of file STL.cpp.

{
image_.cdl( _cdl.c_str() );
}

## Field Documentation

## _cdl

std::string Magick::cdlImage::_cdl

private

Definition at line 213 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp